Bug 819535 - syslog logging support
syslog logging support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cronie (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 09:55 EDT by Marcela Mašláňová
Modified: 2012-11-22 09:24 EST (History)
3 users (show)

See Also:
Fixed In Version: cronie-1.4.9-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 09:24:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2012-05-07 09:55:24 EDT
There are problems with syslog logging without installed sendmail.

For example:
May  4 14:12:00 <host> /usr/sbin/crond[1239]: (CRON) INFO (Syslog will be used instead of sendmail.): No such file or directory
May  4 14:30:46 <host> anacron[1582]: Can't find sendmail at /usr/sbin/sendmail, not mailing output
May  4 14:31:35 <host> /usr/sbin/crond[1239]: (CRON) INFO (Syslog will be used instead of sendmail.): No such file or directory

It's a little different on my local machine, but there should be fixed how is cronie working without sendmail and with(out) -s option. Reporter of the bug was complaining about the incorrect bug report in log file. I'm concerned more about my error messages. It's too much of them for one error.

May  7 15:52:01 localhost /USR/SBIN/CROND[21209]: (root) CMD (mail blabl)
May  7 15:52:01 localhost /USR/SBIN/CROND[21205]: (root) CMDOUT (No message, no subject; hope that's ok)
May  7 15:52:01 localhost /USR/SBIN/CROND[21205]: (root) CMDOUT (/usr/sbin/sendmail: No such file or directory)
May  7 15:52:01 localhost /USR/SBIN/CROND[21205]: (root) CMDOUT (. . . message not sent.)
May  7 15:52:01 localhost /USR/SBIN/CROND[21211]: (CRON) EXEC FAILED (/usr/sbin/sendmail): No such file or directory
May  7 15:52:01 localhost /USR/SBIN/CROND[21205]: (root) MAIL (mailed 109 bytes of output but got status 0x0001#012)
Comment 1 Marcela Mašláňová 2012-07-24 07:41:06 EDT
I guess this was fixed by upstream commit c64bf0455634c81068445fe323541b1d6ba26094

Note You need to log in before you can comment on or make changes to this bug.